Name:		cpmtools
Version:	2.12
Release:	1%{?dist}
Summary:	Programs for accessing CP/M disks

Group:		Applications/System
License:	GPLv3+
URL:		http://www.moria.de/~michael/cpmtools/
Source0:	http://www.moria.de/~michael/cpmtools/cpmtools-%{version}.tar.gz
Patch0:		cpmtools-2.11-nostrip.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	ncurses-devel
#Requires:	

%description
This package allows to access CP/M file systems similar to the well-known
mtools package, which accesses MSDOS file systems. I use it for file
exchange with a Z80-PC simulator, but it works on floppy devices as well.


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .nostrip
sed -i -e "s!@datarootdir@/diskdefs!\$\(DATADIR\)/diskdefs!" Makefile.in
#modify path contained in man files
sed -i -e "s!@DATADIR@!%{_datadir}/%{name}!" *.1.in


%build
%configure --datarootdir=%{_datadir}/%{name}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man{1,5}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
make install BINDIR=$RPM_BUILD_ROOT%{_bindir} MANDIR=$RPM_BUILD_ROOT%{_mandir} DATADIR=$RPM_BUILD_ROOT%{_datadir}/%{name} INSTALL="install -p"


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING NEWS README
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man?/*



%changelog
* Thu Mar 18 2010 Lucian Langa <cooly@gnome.eu.org> - 2.12-1
- drop patch1 (fixed upstream)
- new upstream release

* Tue Dec 01 2009 Lucian Langa <cooly@gnome.eu.org> - 2.11-2
- patch to fix crash in cpmcp

* Sun Nov 29 2009 Lucian Langa <cooly@gnome.eu.org> - 2.11-1
- new upstream release

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 18 2009 Lucian Langa <cooly@gnome.eu.org> - 2.8-2
- place diskdefs under correct location

* Sat Jan 17 2009 Lucian Langa <cooly@gnome.eu.org> - 2.8-1
- initial package


